Subject: Re: Important for you all
From: Deeksha Dadu <[email-masked]>
To: Phaedrus Arif <[email-masked]>
Cc: Kaeiara Blythe Delfino <[email-masked]>, Adithya Shrivastav LSM <[email-masked]>, Dimpy Chawla <[email-masked]>, Arjun LSM AJ <[email-masked]>, "Pritish Nandi (LSM)" <[email-masked]>, "Nusan Dubey (LSM)" <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Wed, 1 Jul 2020 14:33:23 +0000

Kae/ Dimpy/ Aditya: please explain why Arif has to chase any of you to get work done on HFL or to reply to Sam’s emails?? This has happened way too many times!

Sent from my iPhone

On 1 Jul 2020, at 20:01, Deeksha Dadu <[email-masked]> wrote:

 Hi Arif,

I am going to speak with Dimpy, Kae and Aditya about this right away. They are primarily responsible for everything on HFL and there is no reason why you should have to chase them.

Regards,
Deeksha

Sent from my iPhone

On 1 Jul 2020, at 19:47, Phaedrus Arif <[email-masked]> wrote:

Hey everyone!

I am sure all of you are loaded with a lot of work but please understand HFL is also a part of it somewhere. Dr. Robbins emailed us asking for an order to be shipped by addressing my name 18 hours ago (unfortunately my shift was over and I couldn't reply) but no one bothered to answer and it was a simple yes.

I have been noticing a lot of emails are not being responded to and agents are selectively replying to some emails.

No one has been following up on the declined orders that I requested in my last 2 emails. What's happening, everyone???
@Deeksha Dadu<mailto:[email-masked]> @Pritish Nandi<mailto:[email-masked]> @Ashish Dabral<mailto:[email-masked]> Could anyone of you please check with the agents in the respective shifts what the problem could be?

Thanks
Arif
Cheers to life :-)